Name:             libijs
Summary:          Library providing IJS Raster Image Transport Protocol
Version:          0.35
Release:          10

License:          AGPLv3+

URL:              https://ghostscript.com
Source:           https://github.com/ArtifexSoftware/ijs/archive/%{version}.tar.gz#/ijs-%{version}.tar.gz

BuildRequires:    gcc, autoconf, automake, libtool

%description
The library provides IJS Raster Image Transport Protocol. It is used to
connect to the HP IJS server to print on an HP printer.

%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}
BuildRequires:    pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n ijs-%{version}

%build
autoreconf -ifv
%configure --enable-shared
%make_build

%install
%make_install
%delete_la

install -m 0755 -d %{buildroot}%{_docdir}/%{name}
install -m 0644 -p ijs_spec.pdf %{buildroot}%{_docdir}/%{name}

%files
%license COPYING
%{_libdir}/libijs-%{version}.so

%files devel
%dir %{_includedir}/ijs
%{_includedir}/ijs/*.h
%{_bindir}/*_example
%{_libdir}/libijs.so
%{_libdir}/libijs.a
%{_libdir}/pkgconfig/*.pc

%files help
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/ijs_spec.pdf

%changelog
* Thu Oct 27 2022 yanglongkang <yanglongkang@h-partners.com> - 0.35-10
- rebuild package

* Wed Sep 04 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.35-9
- Package init
